File Index

Main Page | Alphabetical List | Data Structures | File List | Data Fields | Globals

# dmxcmap.h File Reference

`#include "colormapst.h"`

Go to the source code of this file.

## Data Structures
struct | _dmxColormapPriv
## Defines
#define | DMX_SET_COLORMAP_PRIV(_pCMap, _pCMapPriv)
#define | DMX_GET_COLORMAP_PRIV(_pCMap) (dmxColormapPrivPtr)(_pCMap)->devPrivates[dmxColormapPrivateIndex].ptr
## Typedefs
typedef _dmxColormapPriv | dmxColormapPrivRec
typedef _dmxColormapPriv * | dmxColormapPrivPtr
## Functions
Bool | dmxCreateColormap (ColormapPtr pColormap)
void | dmxDestroyColormap (ColormapPtr pColormap)
void | dmxInstallColormap (ColormapPtr pColormap)
void | dmxStoreColors (ColormapPtr pColormap, int ndef, xColorItem *pdef)
Bool | dmxCreateDefColormap (ScreenPtr pScreen)
Bool | dmxBECreateColormap (ColormapPtr pColormap)
Bool | dmxBEFreeColormap (ColormapPtr pColormap)
## Variables
int | dmxColormapPrivateIndex

## Detailed Description

Header file for colormap support.

See also:
  dmxcmap.c.

## Define Documentation

#define DMX_GET_COLORMAP_PRIV | ( | _pCMap |  | ) | (dmxColormapPrivPtr)(_pCMap)->devPrivates[dmxColormapPrivateIndex].ptr

| Get colormap private structure.

#define DMX_SET_COLORMAP_PRIV | ( | _pCMap,
|  | _pCMapPriv |  | ) |

| Value:
    (_pCMap)->devPrivates[dmxColormapPrivateIndex].ptr                      \
            = (pointer)(_pCMapPriv);
Set colormap private structure.

## Typedef Documentation

typedef struct _dmxColormapPriv * dmxColormapPrivPtr

| Colormap private area.

typedef struct _dmxColormapPriv dmxColormapPrivRec

| Colormap private area.

## Function Documentation

Bool dmxBECreateColormap | ( | ColormapPtr | pColormap | ) |

| Create pColormap on the back-end server.

Bool dmxBEFreeColormap | ( | ColormapPtr | pColormap | ) |

| Destroy pColormap on the back-end server.

Bool dmxCreateColormap | ( | ColormapPtr | pColormap | ) |

| Create colormap on back-end server associated with pColormap's screen.

Bool dmxCreateDefColormap | ( | ScreenPtr | pScreen | ) |

| Create the DMX server's default colormap.

void dmxDestroyColormap | ( | ColormapPtr | pColormap | ) |

| Destroy colormap on back-end server associated with pColormap's screen.

void dmxInstallColormap | ( | ColormapPtr | pColormap | ) |

| Install colormap on back-end server associated with pColormap's screen.

void dmxStoreColors | ( | ColormapPtr | pColormap,
|  | int | ndef,
|  | xColorItem * | pdef
| ) |

| Store colors in pColormap on back-end server associated with pColormap's screen.

## Variable Documentation

int dmxColormapPrivateIndex

| Private index for Colormaps